#include "GameObject.h"
#include "EventKeyboard.h"
#include "Position.h"

class Hero : public GameObject {

protected:
//void kbd(EventKeyboard *keyboard_event);
	int upDis;
	bool canJump;
	int state;
	int dir;
  
public:
	Position startPos;
	string nextLevelName;
	int numCoins;
	void move(int dx,int dy);
	void kbd(EventKeyboard *keyboard_event);
	void step();
	//void draw();
	Hero();
	~Hero();
	int eventHandler(Event *e);
};